Unverified Commit c26313ce authored by wojiuchigua's avatar wojiuchigua Committed by GitHub
Browse files

Change the version of nodejs and rocketchat (#1835)

parent 54839130
......@@ -2,10 +2,10 @@
This installation guide was tested in the following environment:
* Rocket.Chat 3.0.0
* Rocket.Chat 3.9.0
* OS: CentOS 7.6
* Mongodb 4.0.9
* NodeJS 12.14.0
* NodeJS 12.18.4
## Install necessary dependency packages
......@@ -45,7 +45,7 @@ sudo yum install -y epel-release && sudo yum install -y GraphicsMagick
Using npm install inherits and n, and the node version required by Rocket.Chat:
```bash
sudo npm install -g inherits n && sudo n 12.14.0
sudo npm install -g inherits n && sudo n 12.18.4
```
## Install Rocket.Chat
......@@ -151,4 +151,3 @@ Exception in callback of async function: Error: /lib64/libz.so.1: version `ZLIB_
Add this environmental variable in the Rocket.Chat service file \(/usr/lib/systemd/system/rocketchat.service\):
Environment=LD\_PRELOAD=/opt/Rocket.Chat/programs/server/npm/node\_modules/sharp/vendor/lib/libz.so
......@@ -2,7 +2,7 @@
This installation guide was tested in the following environment:
* Rocket.Chat 3.0.0
* Rocket.Chat 3.9.0
* OS: Debian 9.7
* Mongodb 4.0.9
* NodeJS 12.18.4
......@@ -130,4 +130,3 @@ sudo systemctl enable rocketchat && sudo systemctl start rocketchat
## Configure your Rocket.Chat server
Open a web browser and access the configured ROOT\_URL \(`http://your-host-name.com-as-accessed-from-internet:3000`\), follow the configuration steps to set an admin account and your organization and server info.
......@@ -2,12 +2,12 @@
This installation guide was tested in the following environment:
* Rocket.Chat 3.5.1
* Rocket.Chat 3.9.0
* OS: Kali Rolling 2020.2
* Mongodb 4.0.19
* NodeJS 12.14.0
* NodeJS 12.18.4
As Kali is a distribution based on Debian the installation process is pretty the same, only adding some MongoDB dependencies installation.
As Kali is a distribution based on Debian the installation process is pretty the same, only adding some MongoDB dependencies installation.
## Install necessary dependency packages
......@@ -40,7 +40,7 @@ sudo apt-get install -y build-essential libcurl3 mongodb-org-server mongodb-org
Using npm install inherits and n, and the node version required by Rocket.Chat:
```bash
sudo npm install -g inherits n && sudo n 12.14.0
sudo npm install -g inherits n && sudo n 12.18.4
```
## Install Rocket.Chat
......@@ -132,4 +132,3 @@ sudo systemctl enable rocketchat && sudo systemctl start rocketchat
## Configure your Rocket.Chat server
Open a web browser and access the configured ROOT\_URL \(`http://your-host-name.com-as-accessed-from-internet:3000`\), follow the configuration steps to set an admin account and your organization and server info.
......@@ -18,7 +18,7 @@ Currently rocketchatctl is supported in these Linux distributions:
And installs these software versions, but this can change for future rocketchatctl versions:
* Node version: 12.14.0
* Node version: 12.18.4
* Mongo version: 4.0.10
* Web Proxy/Loadbalancer optional:
......@@ -81,7 +81,7 @@ rocketchatctl install
Or if you want to use your mongo server, change node to the current needed version for Rocket.Chat, listen in a different port, and install another release, you can for example use these command:
```bash
rocketchatctl install --root-url=https://www.example.com --webserver=none --use-mongo --install-node --port=4000 --version=3.0.0
rocketchatctl install --root-url=https://www.example.com --webserver=none --use-mongo --install-node --port=4000 --version=3.9.0
```
### Update Rocket.Chat
......@@ -90,7 +90,7 @@ Check for release updates:
```bash
rocketchatctl check-updates
Current update available for RocketChat server: from 3.0.3 to 3.2.1
Current update available for RocketChat server: from 3.8.0 to 3.9.0
```
And update to the latest release:
......@@ -112,4 +112,3 @@ rocketchatctl upgrade-rockectchatctl
#### **Use rocketchatctl to automate your previously Rocket.Chat manual installation deployments !**
Check out our webinar about it here:
......@@ -12,10 +12,10 @@ If you would like to enable TLS on your site like this `https://yoursite.com` wh
This installation guide was tested in the following environment:
* Rocket.Chat 3.0.0
* Rocket.Chat 3.9.0
* OS: Ubuntu 18.04 LTS, Ubuntu 19.04 and Ubuntu 20.04\(Latest\)
* Mongodb 4.0.9
* NodeJS 12.14.0
* NodeJS 12.18.4
## Install necessary dependency packages
......@@ -54,7 +54,7 @@ sudo apt-get install -y npm
Using npm install inherits and n, and the node version required by Rocket.Chat:
```bash
sudo npm install -g inherits n && sudo n 12.14.0
sudo npm install -g inherits n && sudo n 12.18.4
```
## Install Rocket.Chat
......@@ -146,4 +146,3 @@ sudo systemctl enable rocketchat && sudo systemctl start rocketchat
## Configure your Rocket.Chat server
Open a web browser and access the configured ROOT\_URL \(`http://your-host-name.com-as-accessed-from-internet:3000`\), follow the configuration steps to set an admin account and your organization and server info.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment